Name:           telnet
Version:        1.2
Release:        1
Summary:        A client program for the telnet remote login protocol
License:        BSD-3-Clause
Group:          Productivity/Networking/Other
URL:            http://ftp.suse.com/pub/people/kukuk/ipv6/
Source0:        http://ftp.suse.com/pub/people/kukuk/ipv6/telnet-bsd-%version.tar.bz2
Patch0:         %{name}-%{version}-aix.patch
Patch1:         %{name}-bsd-%{version}-suppress_hostname.patch
Patch2:         %{name}-bsd-%{version}-man-page.patch
#PATCH-FIX-UPSTREAM fix crash when using -b option bnc#700229
Patch4:         %{name}-bsd-%{version}-hostalias.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  autoconf, automake
BuildRequires:  patch

%description
Telnet is an old protocol for logging into remote systems.  It is
rarely used, since the transfer is not encrypted (ssh is mostly used
these days).  The telnet client is often used for debugging other
network services. The command

telnet localhost 25

connects to the local smtp server, for example.


%prep
%setup -q -n telnet-bsd-%version
export PATH=/opt/freeware/bin:$PATH
%patch0
%patch1
%patch2
%patch4 -p1


%build
autoreconf -fiv

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --disable-dependency-tracking

cd %{name}
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

cd %{name}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/linux/bin
cd usr/linux/bin
ln -sf ../../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc COPYING ChangeLog README NEWS
%attr(755,root,system) %{_bindir}/*
%{_mandir}/man1/*
/usr/linux/bin/*


%changelog
* Mon Jun 10 2013 Michael Perzl <michael@perzl.org> - 1.2-1
- first version for AIX V5.1 and higher
